Subject: Re: git push <branch-name>

From: Daniel Johnson <[email-masked]>
Date: Tue, 5 Oct 2010 18:11:44 -0400

On Tuesday 05 October 2010 16:29:50 you wrote:
> A newbie colleague asked why: "git push <branch>" didn't work.
> 
> Although I know that "git push <repo> <branch>" is the correct
> syntax, I think that he has a point.  If branch.<branch>.remote
> is defined it seems unambiguous to me.
> 
> So I can't see any reason NOT to dwimify
> 
>     git push <branch>
Isn't that syntax reserved for remotes?
for example:

git push origin

I feel like it would be a bad idea to have these 2 types of invocations 
overlap in syntax like that.